Bug 19612 - cc1plus: Internal error #123. and Internal compiler error in pop_binding_level, at ../gcc/cp/decl.c:
Summary: cc1plus: Internal error #123. and Internal compiler error in pop_binding_leve...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-23 15:26 UTC by Matt Wilson
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-24 11:14:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.ii file (227.99 KB, text/plain)
2000-10-23 15:26 UTC, Matt Wilson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Matt Wilson 2000-10-23 15:26:04 UTC
[msw@localhost ~/ice]$ g++ -c foo.o simplecm.ii 
g++: foo.o: No such file or directory
In file included from
/usr/src/oo/oo_605_src/tools/source/communi/simplecm.cxx:66:
../../inc/simplecm.hxx:127: parse error before `,'
../../inc/simplecm.hxx:127: ISO C++ forbids declaration of 
`CallInfoMsg' with no type
../../inc/simplecm.hxx: In method `CallInfoMsg 
(...)::CommunicationLinkRef::CommunicationLinkRef (const CallInfoMsg 
(...)::CommunicationLinkRef &)':
../../inc/simplecm.hxx:252: Internal error #123.
../../inc/simplecm.hxx:252: Internal compiler error in 
pop_binding_level, at ../gcc/cp/decl.c:623
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.


bash-2.04$ gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)
bash-2.04$ rpm -q gcc
gcc-2.96-57
bash-2.04$ rpm -q gcc-c++
gcc-c++-2.96-57

Comment 1 Matt Wilson 2000-10-23 15:26:30 UTC
Created attachment 4562 [details]
.ii file

Comment 2 Jakub Jelinek 2000-12-20 12:12:50 UTC
Fixed in gcc-c++-2.96-69.


Note You need to log in before you can comment on or make changes to this bug.